python-rsvg_2.32.0+dfsg-3_amd64.deb


Advertisement

Description

python-rsvg - Python bindings for the RSVG library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-rsvg
Package version: 2.32.0+dfsg
Package release: 3
Package architecture: amd64
Package type: deb
Installed size: 109 B
Download size: 13.56 KB
Official Mirror: archive.ubuntu.com
This package contains a module that allows one to use librsvg to read and write SVG files from Python applications.

Alternatives

Replaces

  • python-gnome2-desktop << 2.24.0-2

    Download

    Source package: gnome-python-desktop

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-rsvg deb package:
      # sudo apt-get install python-rsvg

    Files

    • /usr/lib/pyshared/python2.7/gtk-2.0/rsvg.so
    • /usr/lib/python2.7/dist-packages/gtk-2.0/rsvg.so
    • /usr/share/doc/python-rsvg/AUTHORS
    • /usr/share/doc/python-rsvg/NEWS.gz
    • /usr/share/doc/python-rsvg/README
    • /usr/share/doc/python-rsvg/changelog.Debian.gz
    • /usr/share/doc/python-rsvg/copyright
    • /usr/share/doc/python-rsvg/examples/rsvg-cairo.py

    Changelog

    2013-05-11 - Emilio Pozuelo Monfort <pochu@debian.org> gnome-python-desktop (2.32.0+dfsg-3) unstable; urgency=low * Drop python-evolution and python-gnomedesktop. * debian/python-gnome2-desktop-dev.install: + Don't install .defs for ebook or gnomedesktop.

    2012-06-05 - Michael Biebl <biebl@debian.org> gnome-python-desktop (2.32.0+dfsg-2) unstable; urgency=low * Drop obsolete python-metacity, python-gtop and python-totem-plparser packages. They have no reverse dependencies and are superseded by gi based bindings. Closes: #676019

    2012-02-06 - Michael Biebl <biebl@debian.org> gnome-python-desktop (2.32.0+dfsg-1) unstable; urgency=low [ Josselin Mouette ] * Update repository URL. [ Michael Biebl ] * Repack upstream tarball and drop the waf build system. Closes: #654471 * Update watch file to mangle the version for the +dfsg suffix. * Don't use brace expansion in .install files and strip debian/tmp/ prefix.

    2011-10-18 - Michael Biebl <biebl@debian.org> gnome-python-desktop (2.32.0-4) unstable; urgency=low * Drop python-gnomeapplet. It has been replaced by gir1.2-panelapplet-4.0 and PyGObject. Closes: #638135 * Add Build-Depends on gnome-common, required for autoreconf.

    2011-10-17 - Michael Biebl <biebl@debian.org> gnome-python-desktop (2.32.0-3) unstable; urgency=low * Drop python-bugbuddy package.

    2011-10-02 - Josselin Mouette <joss@debian.org> gnome-python-desktop (2.32.0-2) unstable; urgency=low * Drop python-brasero, python-evince and python-mediaprofiles since they are going away with GNOME 3. * By obsolescence, closes: #559400, #640754.

    2011-07-04 - Michael Biebl <biebl@debian.org> gnome-python-desktop (2.32.0-1) unstable; urgency=low [ Josselin Mouette ] * Drop incorrect ${python:Provides}. [ Michael Biebl ] * New upstream release. * debian/control.in: - Bump Build-Depends on libevince-dev to (>= 2.32). - Update Vcs-* fields. * debian/watch: - Switch to .bz2 tarballs. [ Luk Claes ] * Don't ship .la files. (Closes: #632563)

    2011-04-24 - Laurent Bigonville <bigon@debian.org> gnome-python-desktop (2.30.2-1) unstable; urgency=low * New upstream release. * debian/control.in: - Bump debhelper and cdbs build-dependencies - Bump python-all-dev build-dependency - Add dh-autoreconf as build-dependency and drop autotools - Bump Standards-Version to 3.9.2 (no further changes) - Drop versionized version of dpkg-dev - Add Vcs-* fields - Add Provides: ${python:Provides} to binary packages - Fix Description to please lintian * debian/rules: - Add include autoreconf.mk (Closes: #558557) - Use dh_python2 instead of pysupport * Drop debian/patches/90_autotools.patch: Use dh-autoreconf instead

    2010-12-01 - Josselin Mouette <joss@debian.org> gnome-python-desktop (2.30.0-4) unstable; urgency=low * python-gnomeapplet: depend on python-gnome2. Closes: #604798.

    2010-09-27 - Emilio Pozuelo Monfort <pochu@debian.org> gnome-python-desktop (2.30.0-3) unstable; urgency=low * debian/patches/01_wnck_enums.patch: - Patch from upstream bugzilla, fix flags in the wnck module that were declared as enums. Closes: #597414.

    Advertisement
    Advertisement